Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.net
Class JSSESocketFactory

    java.lang.Object
      org.apache.axis.components.net.DefaultSocketFactory
          org.apache.axis.components.net.JSSESocketFactory

All Implemented Interfaces:
  SecureSocketFactory, SocketFactory

Direct Known Subclasses:
  SunJSSESocketFactory

public class JSSESocketFactory
extends DefaultSocketFactory
implements SecureSocketFactory

SSL socket factory. It _requires_ a valid RSA key and JSSE. (borrowed code from tomcat)

THIS CODE STILL HAS DEPENDENCIES ON sun.* and com.sun.*

Author:
  Davanum Srinivas (dims@yahoo.com)

Field Summary
`protected SSLSocketFactory` | `sslFactory` Field sslFactory

Fields inherited from class org.apache.axis.components.net.DefaultSocketFactory
`attributes`

Constructor Summary
`JSSESocketFactory(Hashtable attributes)` Constructor JSSESocketFactory

Method Summary
`Socket` | `create(String host, int port, StringBuffer otherHeaders, BooleanHolder useFullURL)` creates a secure socket
`protected void` | `initFactory()` Initialize the SSLSocketFactory

Methods inherited from class org.apache.axis.components.net.DefaultSocketFactory
`isHostInNonProxyList, match`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sslFactory

    protected SSLSocketFactory sslFactory

  Field sslFactory

Constructor Detail

### JSSESocketFactory

    public JSSESocketFactory(Hashtable attributes)

  Constructor JSSESocketFactory

Parameters:
  `attributes` -

Method Detail

### initFactory

    protected void initFactory()
                        throws IOException

  Initialize the SSLSocketFactory

  Throws:
    `IOException`

### create

    public Socket create(String host,
                         int port,
                         StringBuffer otherHeaders,
                         BooleanHolder useFullURL)
                  throws Exception

  creates a secure socket

  Specified by:
    `create` in interface `SocketFactory`
  Overrides:
    `create` in class `DefaultSocketFactory`
  Parameters:
    `host` -
    `port` -
    `otherHeaders` -
    `useFullURL` -
  Returns:
    Socket
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.